FROM debian:latest

MAINTAINER Thijn <thijn@viceunderdogs.com>

# Install packages
RUN apt-get update && apt-get install -y \
 wget \
 unzip \
 p7zip \
 libstdc++6 \
 gcc \
 g++ \
 build-essential \
 libmariadb3 \
 libmariadb-dev \
 libcurl4 \
 libpq5 \
 && adduser --disabled-password --home /home/container container

USER container
ENV USER container
ENV HOME /home/container
ENV VCMP_VERSION v30
ENV VCMP_PLUGIN_PATCH patch2

WORKDIR /home/container

COPY ./start.sh /start.sh
COPY ./query /bin/vcmp-query

CMD ["/bin/bash", "/start.sh"]
